Subject: Re: bug#35550: Installer: wpa_supplicant fails to start

From: "pelzflorian (Florian Pelz)" <[email-masked]>
Date: Sat, 4 May 2019 23:34:03 +0200

On Sat, May 04, 2019 at 11:14:29PM +0200, Ludovic Courtès wrote:
> Hi,
> 
> "pelzflorian (Florian Pelz)" <[email-masked]> skribis:
> 
> > On Sat, May 04, 2019 at 05:32:23PM +0200, Ludovic Courtès wrote:
> 
> [...]
> 
> >> Could you also try running (as root):
> >> 
> >>   while herd restart wpa-supplicant; do : ; done
> >> 
> >> to see the frequency at which the service fails to start?
> >>
> >
> > It displays
> >
> > Service wpa-supplicant is not running.
> > Service wpa-supplicant could not be started.
> 
> Sorry, to be complete, I should have asked you to first kill the
> “dangling” wpa_supplicant process:
> 
>   pkill -f wpa_supplicant
>   pgrep -fa wpa_supplicant  # make sure it’s really dead

pgrep does not display anything.

>   while herd restart wpa-supplicant; do : ; done
> 
> Could you try this?
> 

Now it displays

Service wpa-supplicant has been stopped.
Service wpa-supplicant has been started.

again and again incessantly, one immediately after the other with no
time in between.

By the way, the network connection only failed sometimes when I tested
Guix 1.0.0, but since I started using a Guix disk image from a more
recent Guix, wpa-supplicant apparently always fails.  Strange.

Regards,
Florian